# WritableRectangle (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util
Interface WritableRectangle

All Superinterfaces:
  WritableDimension, WritablePoint

All Known Implementing Classes:
  Rectangle

    public interface WritableRectangle

extends WritablePoint, WritableDimension

Write interface for Rectangles

Version:
  $Revision$ $Id$
Author:
  $Author$

Method Summary
`void` `setBounds(int x, int y, int width, int height)` Sets the bounds of the rectangle
`void` `setBounds(ReadablePoint location, ReadableDimension size)` Sets the bounds of the rectangle
`void` `setBounds(ReadableRectangle src)` Sets the bounds of the rectangle

Methods inherited from interface org.lwjgl.util.WritablePoint
`setLocation, setLocation, setX, setY`

Methods inherited from interface org.lwjgl.util.WritableDimension
`setHeight, setSize, setSize, setWidth`

Method Detail

### setBounds

    void setBounds(int x,
                   int y,
                   int width,
                   int height)

  Sets the bounds of the rectangle

  Parameters:
    `x` - Position of rectangle on x axis
    `y` - Position of rectangle on y axis
    `width` - Width of rectangle
    `height` - Height of rectangle

### setBounds

    void setBounds(ReadablePoint location,
                   ReadableDimension size)

  Sets the bounds of the rectangle

  Parameters:
    `location` -
    `size` -

### setBounds

    void setBounds(ReadableRectangle src)

  Sets the bounds of the rectangle

  Parameters:
    `src` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.